registration< TItem > Class Template Reference

This class provides a way to register items and its object reference The registered items are accessible from any object (singleton pattern) More...

`#include <registration.hh>`

## Public Member Functions

void | add_item (const std::string &type, TItem *f)
TItem * | get_item (const std::string &type)

## Static Public Member Functions

static registration< TItem > & | get_instance ()

## Private Member Functions

| registration ()

## Private Attributes

std::map< std::string, TItem * > | _items

## Static Private Attributes

static registration< TItem > * | _instance = nullptr

## Detailed Description

### template<typename TItem>
class registration< TItem >

This class provides a way to register items and its object reference The registered items are accessible from any object (singleton pattern)

Remarks
  There is one limitation: each item is uniquely defined in the process

## Constructor & Destructor Documentation

## registration()

template<typename TItem>

registration< TItem >::registration | ( |  | ) |

inlineprivate

## Member Function Documentation

## add_item()

template<typename TItem >

void registration< TItem >::add_item | ( | const std::string & | type,
|  | TItem * | f
| ) |  |

## get_instance()

template<typename TItem >

registration< TItem > & registration< TItem >::get_instance | ( |  | ) |

static

## get_item()

template<typename TItem >

TItem * registration< TItem >::get_item | ( | const std::string & | type | ) |

## Member Data Documentation

## _instance

template<typename TItem>

registration< TItem > * registration< TItem >::_instance = nullptr

staticprivate

## _items

template<typename TItem>

std::map<std::string, TItem*> registration< TItem >::_items

private

The documentation for this class was generated from the following file:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/registration.hh